Document of c-modernization-kit (porter) 1.0.0

Loading...
Searching...
No Matches
Data Fields
PotrPacketSessionHdr Struct Reference

パケットに付与するセッション識別情報。 More...

`#include <packet.h>`

Collaboration diagram for PotrPacketSessionHdr:

## Data Fields
int64_t | service_id
| サービス識別子。
int64_t | session_tv_sec
| セッション開始時刻 秒部。
uint32_t | session_id
| セッション識別子 (乱数)。
int32_t | session_tv_nsec
| セッション開始時刻 ナノ秒部。

## Detailed Description

パケットに付与するセッション識別情報。

potrOpenService 時に決定し、全パケットのヘッダーに格納する。

Definition at line 30 of file packet.h.

## Field Documentation

## ◆ service_id

int64_t PotrPacketSessionHdr::service_id

サービス識別子。

Definition at line 32 of file packet.h.

Referenced by fill_session_hdr(), flush_packed(), flush_packed_peer(), health_thread_func(), n1_send_nack(), n1_send_ping_reply(), n1_send_reject(), peer_send_fin(), send_fin(), send_nack(), send_ping_reply(), send_reject(), tcp_health_thread_func(), and tcp_send_ping_reply().

## ◆ session_tv_sec

int64_t PotrPacketSessionHdr::session_tv_sec

セッション開始時刻 秒部。

Definition at line 33 of file packet.h.

Referenced by fill_session_hdr(), flush_packed(), flush_packed_peer(), health_thread_func(), n1_send_nack(), n1_send_ping_reply(), n1_send_reject(), peer_send_fin(), send_fin(), send_nack(), send_ping_reply(), send_reject(), tcp_health_thread_func(), and tcp_send_ping_reply().

## ◆ session_id

uint32_t PotrPacketSessionHdr::session_id

セッション識別子 (乱数)。

Definition at line 34 of file packet.h.

Referenced by fill_session_hdr(), flush_packed(), flush_packed_peer(), health_thread_func(), n1_send_nack(), n1_send_ping_reply(), n1_send_reject(), peer_send_fin(), send_fin(), send_nack(), send_ping_reply(), send_reject(), tcp_health_thread_func(), and tcp_send_ping_reply().

## ◆ session_tv_nsec

int32_t PotrPacketSessionHdr::session_tv_nsec

セッション開始時刻 ナノ秒部。

Definition at line 35 of file packet.h.

Referenced by fill_session_hdr(), flush_packed(), flush_packed_peer(), health_thread_func(), n1_send_nack(), n1_send_ping_reply(), n1_send_reject(), peer_send_fin(), send_fin(), send_nack(), send_ping_reply(), send_reject(), tcp_health_thread_func(), and tcp_send_ping_reply().

The documentation for this struct was generated from the following file:

- porter/libsrc/porter/protocol/packet.h